# telegram.Chat

class telegram.Chat(id, type, title=None, username=None, first_name=None, last_name=None, bot=None, photo=None, description=None, invite_link=None, pinned_message=None, permissions=None, sticker_set_name=None, can_set_sticker_set=None, slow_mode_delay=None, bio=None, linked_chat_id=None, location=None, message_auto_delete_time=None, has_private_forwards=None, has_protected_content=None, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents a chat.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `id` is equal.

  Parameters

    - id (`int`) – Unique identifier for this chat. This number may be greater than 32 bits and some programming languages may have difficulty/silent defects in interpreting it. But it is smaller than 52 bits, so a signed 64 bit integer or double-precision float type are safe for storing this identifier.

    - type (`str`) – Type of chat, can be either ‘private’, ‘group’, ‘supergroup’ or ‘channel’.

    - title (`str`, optional) – Title, for supergroups, channels and group chats.

    - username (`str`, optional) – Username, for private chats, supergroups and channels if available.

    - first_name (`str`, optional) – First name of the other party in a private chat.

    - last_name (`str`, optional) – Last name of the other party in a private chat.

    - photo (`telegram.ChatPhoto`, optional) – Chat photo. Returned only in `telegram.Bot.get_chat()`.

    - bio (`str`, optional) – Bio of the other party in a private chat. Returned only in `telegram.Bot.get_chat()`.

    - has_private_forwards (`bool`, optional) –

      `True`, if privacy settings of the other party in the private chat allows to use `tg://user?id=<user_id>` links only in chats with the user. Returned only in `telegram.Bot.get_chat()`.

      New in version 13.9.

    - description (`str`, optional) – Description, for groups, supergroups and channel chats. Returned only in `telegram.Bot.get_chat()`.

    - invite_link (`str`, optional) – Primary invite link, for groups, supergroups and channel. Returned only in `telegram.Bot.get_chat()`.

    - pinned_message (`telegram.Message`, optional) – The most recent pinned message (by sending date). Returned only in `telegram.Bot.get_chat()`.

    - permissions (`telegram.ChatPermissions`) – Optional. Default chat member permissions, for groups and supergroups. Returned only in `telegram.Bot.get_chat()`.

    - slow_mode_delay (`int`, optional) – For supergroups, the minimum allowed delay between consecutive messages sent by each unprivileged user. Returned only in `telegram.Bot.get_chat()`.

    - message_auto_delete_time (`int`, optional) –

      The time after which all messages sent to the chat will be automatically deleted; in seconds. Returned only in `telegram.Bot.get_chat()`.

      New in version 13.4.

    - has_protected_content (`bool`, optional) –

      `True`, if messages from the chat can’t be forwarded to other chats. Returned only in `telegram.Bot.get_chat()`.

      New in version 13.9.

    - bot (`telegram.Bot`, optional) – The Bot to use for instance methods.

    - sticker_set_name (`str`, optional) – For supergroups, name of group sticker set. Returned only in `telegram.Bot.get_chat()`.

    - can_set_sticker_set (`bool`, optional) – `True`, if the bot can change group the sticker set. Returned only in `telegram.Bot.get_chat()`.

    - linked_chat_id (`int`, optional) – Unique identifier for the linked chat, i.e. the discussion group identifier for a channel and vice versa; for supergroups and channel chats. Returned only in `telegram.Bot.get_chat()`.

    - location (`telegram.ChatLocation`, optional) – For supergroups, the location to which the supergroup is connected. Returned only in `telegram.Bot.get_chat()`.

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  id

    Unique identifier for this chat.

    Type

      `int`

  type

    Type of chat.

    Type

      `str`

  title

    Optional. Title, for supergroups, channels and group chats.

    Type

      `str`

  username

    Optional. Username.

    Type

      `str`

  first_name

    Optional. First name of the other party in a private chat.

    Type

      `str`

  last_name

    Optional. Last name of the other party in a private chat.

    Type

      `str`

  photo

    Optional. Chat photo.

    Type

      `telegram.ChatPhoto`

  bio

    Optional. Bio of the other party in a private chat. Returned only in `telegram.Bot.get_chat()`.

    Type

      `str`

  has_private_forwards

    Optional. `True`, if privacy settings of the other party in the private chat allows to use `tg://user?id=<user_id>` links only in chats with the user.

    New in version 13.9.

    Type

      `bool`

  description

    Optional. Description, for groups, supergroups and channel chats.

    Type

      `str`

  invite_link

    Optional. Primary invite link, for groups, supergroups and channel. Returned only in `telegram.Bot.get_chat()`.

    Type

      `str`

  pinned_message

    Optional. The most recent pinned message (by sending date). Returned only in `telegram.Bot.get_chat()`.

    Type

      `telegram.Message`

  permissions

    Optional. Default chat member permissions, for groups and supergroups. Returned only in `telegram.Bot.get_chat()`.

    Type

      `telegram.ChatPermissions`

  slow_mode_delay

    Optional. For supergroups, the minimum allowed delay between consecutive messages sent by each unprivileged user. Returned only in `telegram.Bot.get_chat()`.

    Type

      `int`

  message_auto_delete_time

    Optional. The time after which all messages sent to the chat will be automatically deleted; in seconds. Returned only in `telegram.Bot.get_chat()`.

    New in version 13.4.

    Type

      `int`

  has_protected_content

    Optional. `True`, if messages from the chat can’t be forwarded to other chats.

    New in version 13.9.

    Type

      `bool`

  sticker_set_name

    Optional. For supergroups, name of Group sticker set.

    Type

      `str`

  can_set_sticker_set

    Optional. `True`, if the bot can change group the sticker set.

    Type

      `bool`

  linked_chat_id

    Optional. Unique identifier for the linked chat, i.e. the discussion group identifier for a channel and vice versa; for supergroups and channel chats. Returned only in `telegram.Bot.get_chat()`.

    Type

      `int`

  location

    Optional. For supergroups, the location to which the supergroup is connected. Returned only in `telegram.Bot.get_chat()`.

    Type

      `telegram.ChatLocation`

  CHANNEL = 'channel'

    `telegram.constants.CHAT_CHANNEL`

  GROUP = 'group'

    `telegram.constants.CHAT_GROUP`

  PRIVATE = 'private'

    `telegram.constants.CHAT_PRIVATE`

  SENDER = 'sender'

    `telegram.constants.CHAT_SENDER`

    New in version 13.5.

  SUPERGROUP = 'supergroup'

    `telegram.constants.CHAT_SUPERGROUP`

  approve_join_request(user_id, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.approve_chat_join_request(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.approve_chat_join_request()`.

    New in version 13.8.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  ban_chat(chat_id, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.ban_chat_sender_chat(sender_chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.ban_chat_sender_chat()`.

    New in version 13.9.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  ban_member(user_id, timeout=None, until_date=None, api_kwargs=None, revoke_messages=None)

    Shortcut for:

        bot.ban_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.ban_chat_member()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  ban_sender_chat(sender_chat_id, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.ban_chat_sender_chat(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.ban_chat_sender_chat()`.

    New in version 13.9.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  copy_message(chat_id, message_id, caption=None, parse_mode=None, caption_entities=None, disable_notification=None, reply_to_message_id=None, allow_sending_without_reply=None, reply_markup=None, timeout=None, api_kwargs=None, protect_content=None)

    Shortcut for:

        bot.copy_message(from_chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.copy_message()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  create_invite_link(expire_date=None, member_limit=None, timeout=None, api_kwargs=None, name=None, creates_join_request=None)

    Shortcut for:

        bot.create_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.create_chat_invite_link()`.

    New in version 13.4.

    Changed in version 13.8: Edited signature according to the changes of `telegram.Bot.create_chat_invite_link()`.

    Returns

      `telegram.ChatInviteLink`

  classmethod de_json(data, bot)

    See `telegram.TelegramObject.de_json()`.

  decline_join_request(user_id, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.decline_chat_join_request(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.decline_chat_join_request()`.

    New in version 13.8.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  edit_invite_link(invite_link, expire_date=None, member_limit=None, timeout=None, api_kwargs=None, name=None, creates_join_request=None)

    Shortcut for:

        bot.edit_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.edit_chat_invite_link()`.

    New in version 13.4.

    Changed in version 13.8: Edited signature according to the changes of `telegram.Bot.edit_chat_invite_link()`.

    Returns

      `telegram.ChatInviteLink`

  export_invite_link(timeout=None, api_kwargs=None)

    Shortcut for:

        bot.export_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.export_chat_invite_link()`.

    New in version 13.4.

    Returns

      New invite link on success.

    Return type

      `str`

  property full_name

    Convenience property. If `first_name` is not `None` gives, `first_name` followed by (if available) `last_name`.

    Note

    `full_name` will always be `None`, if the chat is a (super)group or channel.

    New in version 13.2.

    Type

      `str`

  get_administrators(timeout=None, api_kwargs=None)

    Shortcut for:

        bot.get_chat_administrators(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_chat_administrators()`.

    Returns

      A list of administrators in a chat. An Array of `telegram.ChatMember` objects that contains information about all chat administrators except other bots. If the chat is a group or a supergroup and no administrators were appointed, only the creator will be returned.

    Return type

      List[`telegram.ChatMember`]

  get_member(user_id, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.get_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_chat_member()`.

    Returns

      `telegram.ChatMember`

  get_member_count(timeout=None, api_kwargs=None)

    Shortcut for:

        bot.get_chat_member_count(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.get_chat_member_count()`.

    Returns

      `int`

  get_members_count(timeout=None, api_kwargs=None)

    Deprecated, use `get_member_count()` instead.

    Deprecated since version 13.7.

  kick_member(user_id, timeout=None, until_date=None, api_kwargs=None, revoke_messages=None)

    Deprecated, use `ban_member()` instead.

    Deprecated since version 13.7.

  leave(timeout=None, api_kwargs=None)

    Shortcut for:

        bot.leave_chat(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.leave_chat()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  property link

    Convenience property. If the chat has a `username`, returns a t.me link of the chat.

    Type

      `str`

  pin_message(message_id, disable_notification=None, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.pin_chat_message(chat_id=update.effective_chat.id,
                             *args,
                             **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.pin_chat_message()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  promote_member(user_id, can_change_info=None, can_post_messages=None, can_edit_messages=None, can_delete_messages=None, can_invite_users=None, can_restrict_members=None, can_pin_messages=None, can_promote_members=None, timeout=None, api_kwargs=None, is_anonymous=None, can_manage_chat=None, can_manage_voice_chats=None)

    Shortcut for:

        bot.promote_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.promote_chat_member()`.

    New in version 13.2.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  restrict_member(user_id, permissions, until_date=None, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.restrict_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.restrict_chat_member()`.

    New in version 13.2.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  revoke_invite_link(invite_link, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.revoke_chat_invite_link(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.revoke_chat_invite_link()`.

    New in version 13.4.

    Returns

      `telegram.ChatInviteLink`

  send_action(action, timeout=None, api_kwargs=None)

    Alias for `send_chat_action`

  send_animation(animation, duration=None, width=None, height=None, thumb=None, caption=None, parse_mode=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, api_kwargs=None, allow_sending_without_reply=None, caption_entities=None, filename=None, protect_content=None)

    Shortcut for:

        bot.send_animation(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_animation()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_audio(audio, duration=None, performer=None, title=None, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, parse_mode=None, thumb=None, api_kwargs=None, allow_sending_without_reply=None, caption_entities=None, filename=None, protect_content=None)

    Shortcut for:

        bot.send_audio(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_audio()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_chat_action(action, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.send_chat_action(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_chat_action()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  send_contact(phone_number=None, first_name=None, last_name=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=None, contact=None, vcard=None, api_kwargs=None, allow_sending_without_reply=None, protect_content=None)

    Shortcut for:

        bot.send_contact(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_contact()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_copy(from_chat_id, message_id, caption=None, parse_mode=None, caption_entities=None, disable_notification=None, reply_to_message_id=None, allow_sending_without_reply=None, reply_markup=None, timeout=None, api_kwargs=None, protect_content=None)

    Shortcut for:

        bot.copy_message(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.copy_message()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_dice(disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=None, emoji=None, api_kwargs=None, allow_sending_without_reply=None, protect_content=None)

    Shortcut for:

        bot.send_dice(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_dice()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_document(document, filename=None, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, parse_mode=None, thumb=None, api_kwargs=None, disable_content_type_detection=None, allow_sending_without_reply=None, caption_entities=None, protect_content=None)

    Shortcut for:

        bot.send_document(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_document()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_game(game_short_name, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=None, api_kwargs=None, allow_sending_without_reply=None, protect_content=None)

    Shortcut for:

        bot.send_game(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_game()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_invoice(title, description, payload, provider_token, currency, prices, start_parameter=None, photo_url=None, photo_size=None, photo_width=None, photo_height=None, need_name=None, need_phone_number=None, need_email=None, need_shipping_address=None, is_flexible=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, provider_data=None, send_phone_number_to_provider=None, send_email_to_provider=None, timeout=None, api_kwargs=None, allow_sending_without_reply=None, max_tip_amount=None, suggested_tip_amounts=None, protect_content=None)

    Shortcut for:

        bot.send_invoice(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_invoice()`.

    Warning

    As of API 5.2 `start_parameter` is an optional argument and therefore the order of the arguments had to be changed. Use keyword arguments to make sure that the arguments are passed correctly.

    Changed in version 13.5: As of Bot API 5.2, the parameter `start_parameter` is optional.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_location(latitude=None, longitude=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=None, location=None, live_period=None, api_kwargs=None, horizontal_accuracy=None, heading=None, proximity_alert_radius=None, allow_sending_without_reply=None, protect_content=None)

    Shortcut for:

        bot.send_location(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_location()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_media_group(media, disable_notification=None, reply_to_message_id=None, timeout=20, api_kwargs=None, allow_sending_without_reply=None, protect_content=None)

    Shortcut for:

        bot.send_media_group(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_media_group()`.

    Returns

      On success, instance representing the message posted.

    Return type

      List[`telegram.Message`]

  send_message(text, parse_mode=None, disable_web_page_preview=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=None, api_kwargs=None, allow_sending_without_reply=None, entities=None, protect_content=None)

    Shortcut for:

        bot.send_message(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_message()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_photo(photo, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, parse_mode=None, api_kwargs=None, allow_sending_without_reply=None, caption_entities=None, filename=None, protect_content=None)

    Shortcut for:

        bot.send_photo(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_photo()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_poll(question, options, is_anonymous=True, type='regular', allows_multiple_answers=False, correct_option_id=None, is_closed=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=None, explanation=None, explanation_parse_mode=None, open_period=None, close_date=None, api_kwargs=None, allow_sending_without_reply=None, explanation_entities=None, protect_content=None)

    Shortcut for:

        bot.send_poll(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_poll()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_sticker(sticker, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, api_kwargs=None, allow_sending_without_reply=None, protect_content=None)

    Shortcut for:

        bot.send_sticker(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_sticker()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_venue(latitude=None, longitude=None, title=None, address=None, foursquare_id=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=None, venue=None, foursquare_type=None, api_kwargs=None, google_place_id=None, google_place_type=None, allow_sending_without_reply=None, protect_content=None)

    Shortcut for:

        bot.send_venue(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_venue()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_video(video, duration=None, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, width=None, height=None, parse_mode=None, supports_streaming=None, thumb=None, api_kwargs=None, allow_sending_without_reply=None, caption_entities=None, filename=None, protect_content=None)

    Shortcut for:

        bot.send_video(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_video()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_video_note(video_note, duration=None, length=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, thumb=None, api_kwargs=None, allow_sending_without_reply=None, filename=None, protect_content=None)

    Shortcut for:

        bot.send_video_note(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_video_note()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  send_voice(voice, duration=None, caption=None, disable_notification=None, reply_to_message_id=None, reply_markup=None, timeout=20, parse_mode=None, api_kwargs=None, allow_sending_without_reply=None, caption_entities=None, filename=None, protect_content=None)

    Shortcut for:

        bot.send_voice(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.send_voice()`.

    Returns

      On success, instance representing the message posted.

    Return type

      `telegram.Message`

  set_administrator_custom_title(user_id, custom_title, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.set_chat_administrator_custom_title(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.set_chat_administrator_custom_title()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  set_permissions(permissions, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.set_chat_permissions(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.set_chat_permissions()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  unban_chat(chat_id, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.unban_chat_sender_chat(sender_chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unban_chat_sender_chat()`.

    New in version 13.9.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  unban_member(user_id, timeout=None, api_kwargs=None, only_if_banned=None)

    Shortcut for:

        bot.unban_chat_member(update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unban_chat_member()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  unban_sender_chat(sender_chat_id, timeout=None, api_kwargs=None)

    Shortcut for:

        bot.unban_chat_sender_chat(chat_id=update.effective_chat.id, *args, **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unban_chat_sender_chat()`.

    New in version 13.9.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  unpin_all_messages(timeout=None, api_kwargs=None)

    Shortcut for:

        bot.unpin_all_chat_messages(chat_id=update.effective_chat.id,
                                    *args,
                                    **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unpin_all_chat_messages()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`

  unpin_message(timeout=None, api_kwargs=None, message_id=None)

    Shortcut for:

        bot.unpin_chat_message(chat_id=update.effective_chat.id,
                               *args,
                               **kwargs)

    For the documentation of the arguments, please see `telegram.Bot.unpin_chat_message()`.

    Returns

      On success, `True` is returned.

    Return type

      `bool`